Bug 129384 - quickstart guide in manual is wrong with regard to local spool folder
quickstart guide in manual is wrong with regard to local spool folder
Product: Fedora
Classification: Fedora
Component: sylpheed (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Michael Schwendt
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2004-08-07 10:43 EDT by Tom Mitchell
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-07-23 15:47:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Tom Mitchell 2004-08-07 10:43:51 EDT
Description of problem:

The default location for local mail seems to be incorrect on FC2. 
Users need to change the default location to read local mail.    

Version-Release number of selected component (if applicable):

How reproducible:

  Easy on FC2.

Steps to Reproduce:
1.  As a standard user (UID not equal to 0) start sylpheed first time
and configure for local mail.  Note that there is no mail in inbox.

2.In sylpheed check the tab configuration --> common preferences.
On that window look under the Receive tab and inspect the spool dir.

3. Compare with $MAIL in the environment (echo $MAIL; env | grep MAIL)

4. Adjust the spool dir and now mail is visible.
Actual results:

Without special user configuration uses do not see mail.

Expected results:

First time users should see mail in the standard location
for FC2...

I would expect $MAIL to be used.

More importantly..
I would expect the default to match the location that the
transport agent uses by default.

Additional info:
   $  env | grep mail
Comment 1 Akira TAGOH 2004-08-09 02:56:47 EDT
Actually /var/mail is provided as symlink for /var/spool/mail. and
/var/mail is defined as vaild path in FHS;


So what incorrect are you saying?
Comment 2 Tom Mitchell 2004-08-09 13:00:12 EDT
I think I was caught by the same error that the original fedora
mailing list poster was.

I setup a local mail box and saw no mail following the standard
prompted flow of the new user setup and the online in a hurry setup.

Then I started searching for options to correct what ever the problem
was and noticed that my $MAIL and spool dir did not match.   To be
able to change that I had to click on incorporate from spool to un
grey /var/mail so I could change it to match my $MAIL.  Had I simply
clicked on "Incorporate from spool" I would have seen mail.

So the title of this bug report is wrong.

As an old school type (prior to  Filesystem Hierarchy Standard)
I expected $MAIL to be noticed and used.  I think asking for this
would be a mistake on my part given the FHS.

If there is a bug, one place need attention.
  * Initial setup sequence for the first mail box.
    - First I had to set the location -- if unsure click OK
      I clicked OK.
    - next I see Preferences for new account and I seleced
      Protocol [None (local)] under the Basic tab
      set smtp host... 
      Click throught the other tabs nothing to change
      and click OK.
    + There is no step in the initial setup that takes me to 
      Configure --> common preferences 
      to click on incorporate from spool.

It would be nice if the new account setup for Protocol [None (local)]
would set "incorporate from spool" in common preferences as part
of the initial setup.

If this is not done for reasons I cannot see then in the documentation
please add a sixth step to the bullet list in the documentation.
  2.1 Setup for reading your Unix mailbox in a hurry
one additional item to inspect and then check "incorporate from spool"
under common preferences.

This is the quickest GUI based mail tool I have seen -- excelent stuff.

Comment 3 Michael Schwendt 2005-03-22 15:08:26 EST
It's a documentation bug. The manual is wrong. I've sent a notification to the
Sylpheed Documentation Project. If there are other parts in the manual you'd
like to see improved or added, the project is looking for contributors:


"Incorporate from spool" is a global option. Hence it can be found in the
"Common Preferences" dialog only. It cannot be toggled for individual mail
accounts. Something like that is not implemented in Sylpheed.

It would be trivial to enable the option by default. But such a change ought to
happen in the upstream project. Because a common type of local mail folder usage
is to not poll mail from within Sylpheed, but to let mail be delivered to you,
e.g. via procmail.

And since it is a global option, it would also be wrong to make this option
appear in the "Receive" tab of the account creation dialog for local mailboxes.
It would be active for all accounts.

Note You need to log in before you can comment on or make changes to this bug.